Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003266KdenliveMLTpublic2014-04-06 14:032014-04-12 02:27
Reporternorms2 
Assigned To 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platform64 bitOSUbuntuOS Version12.04
Product VersionRecent git 
Target VersionFixed in Version 
Summary0003266: Crashes - Sunab.svn and daily build.
DescriptionPlease see below
Steps To ReproduceSunab.svn (latest version):-

Load Project containing Movit effects. Try to extend clip by dragging. Almost instant crash. Then tried double click on clip and extended the clip in the Duration dialogue. Seemed to work Ok. This clip did not contain any effects. Most clips containing Movit effects crashed but some didn't.

Yesterday's build from meltytech.com:-

Drag and move any clips with or without movit effects worked fine. It did not crash while I threw the timeline in turmoil.

It does, however, present a crash report on closing down Kdenlive every time.
TagsNo tags attached.
Build/Install Method(select)
Attached Filestxt file icon Sunab.svn Kcrash.txt [^] (13,250 bytes) 2014-04-06 16:04 [Show Content]
txt file icon BuildCopy gdb output.txt [^] (32,666 bytes) 2014-04-06 16:05 [Show Content]

- Relationships

-  Notes
(0009943)
Sesse (developer)
2014-04-06 14:28

Hi,

You'll need to attach a crash report; it is impossible to fix a bug whose only information is “it crashes on startup”.
(0009945)
Sesse (developer)
2014-04-06 22:25

The backtrace indicates it died on an assertion message, most likely an OpenGL error. Which one did you get?

Also, would you perchance have an Nvidia card? If so, I believe this is the same bug as 3253, which is interesting.
(0009947)
Sesse (developer)
2014-04-06 23:52

Wait, this report is taken during shutdown? That's a completely different crash; please don't mix crashes during runtime and during shutdown.
(0009949)
sunab (reporter)
2014-04-07 07:56

Whole stack updated, please test again.
(0009951)
norms2 (reporter)
2014-04-07 11:43

Yes, a slightly ageing Nvidia card. Have ordered a new one with up to date openGL.

From a crash this morning but wasn't paying too much attention. Will try to recreate with a report:-

kdenlive: resource_pool.cpp:363: GLuint movit::ResourcePool::create_fbo(GLuint): Assertion `fbo_formats.count(key) == 0' failed.
KCrash: Application 'kdenlive' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/norm/.kde/socket-UB-64bit/kdeinit4__0
QSocketNotifier: Invalid socket 15 and type 'Read', disabling...
QSocketNotifier: Invalid socket 21 and type 'Read', disabling...
kdenlive: Fatal IO error 9 (Bad file descriptor) on X server :0.0.
Unable to start Dr. Konqi
(0009978)
Sesse (developer)
2014-04-12 02:27

I just fixed a bug exactly like this in Movit, so I believe I can close this.

Unfortunately that wouldn't explain 3253.

- Issue History
Date Modified Username Field Change
2014-04-06 14:03 norms2 New Issue
2014-04-06 14:28 Sesse Note Added: 0009943
2014-04-06 16:04 norms2 File Added: Sunab.svn Kcrash.txt
2014-04-06 16:05 norms2 File Added: BuildCopy gdb output.txt
2014-04-06 22:25 Sesse Note Added: 0009945
2014-04-06 23:52 Sesse Note Added: 0009947
2014-04-07 07:56 sunab Note Added: 0009949
2014-04-07 11:43 norms2 Note Added: 0009951
2014-04-12 02:27 Sesse Note Added: 0009978
2014-04-12 02:27 Sesse Build/Install Method => (select)
2014-04-12 02:27 Sesse Status new => resolved
2014-04-12 02:27 Sesse Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker